This example tests the scheduling accuracy. The relevant
files are rt_process.c and monitor.c. Run make test to try it out.

min: is the minimum rt_task latency (how much time a task ran late)
in nanoseconds during a measurement cycle.
max: is the maximum. The jitter is max-min.

You can change use several module parameters in rt_process.c.
For example, try
insmod rt_process.o advance=25000

Parameters:

period: period in nanoseconds; default = 1000000

advance: if non-zero, schedule interrupts to occur this many nanoseconds early
	to reduce jitter; default = 0

ntests: number of tests in the measurement cycle; default = 500

mode: 1 - periodic mode, 0 - oneshot; default=0


Example to use histplot
./monitor > m.out&
./histplot m.out m.res

This will show you the histogram of the jitter.
  ( PSW )

(C) 1999 Michael Barabanov 1997-1999
